﻿<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0"
	xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
	<!-- xslt for Devoto-Oli 2010 version -->
	<!-- using us-ascii encoding because special characters like &#49; would be replaced during transformation when using UTF-8 -->
	<xsl:output method="html" encoding="us-ascii" doctype-public="-//W3C//DTDXHTML 1.0 Transitional//EN" doctype-system="https://www.w3.org/TR/html4/strict.dtd" />
	
    <!-- string parameters -->	
    <xsl:param name="view.details.headimage"/>		
	<xsl:param name="view.details.base"/>
	<xsl:param name="view.details.id"/>
	<xsl:param name="view.details.section"/>
	<xsl:param name="tooltip-xml"/>
			
	<xsl:template match="ENTRY">
	<table border="0" cellpadding="0" cellspacing="0" width="100%" style="height:100%; border:0">
	<tr>
		<td class="Fascia" valign="top" align="center">SLANG AMERICANO</td>
	</tr>
					<tr><td valign="top" height="100%">
					<div class="Entry">
						<xsl:apply-templates select="HEAD" />
						<xsl:apply-templates select="BODY" />
					</div>	
				</td></tr>
</table>
</xsl:template>

	<xsl:template match="HEAD">
	<P class="Head">
		<xsl:apply-templates />
	</P>
	</xsl:template>

	<xsl:template match="BODY">
		<xsl:apply-templates />	
	</xsl:template>

	<xsl:template match="BOX">
		<div class="BOX"><xsl:apply-templates /></div>	
	</xsl:template>

	<!-- paragraph tags  -->

	<xsl:template match="Para">
		<P class="Para">
			<span class="Num"><xsl:value-of select="@Num" />&#160;</span>
			<xsl:apply-templates />
		</P>
	</xsl:template>

	<xsl:template match="ParaBox">
		<P class="ParaBox">
			<xsl:apply-templates />
		</P>
	</xsl:template>

	<xsl:template match="Xref">
		<xsl:if test="string-length(@Link) &gt; 0">
		<xsl:variable name="link"><xsl:value-of select="@Link"/></xsl:variable>
		<a class="Xref" href="javascript:detail('{$link}')"><xsl:apply-templates /></a>
		</xsl:if>
		<xsl:if test="string-length(@Link) = 0">
		<span class="Xref"><xsl:apply-templates /></span>
		</xsl:if>
	</xsl:template>
	
	<!-- Character replacments -->
	<xsl:template match="Cat">
		<xsl:variable name="tooltip"><xsl:value-of select='document(concat($tooltip-xml, "Explosion-Cat.xml"))/tooltips/Cat[@short=current()]/@long'/></xsl:variable>
		<span class="Cat" title="{$tooltip}"><xsl:apply-templates /></span>
	</xsl:template>
	<xsl:template match="CatHid">
		<!-- ignore -->
	</xsl:template>
	<xsl:template match="Gram">
		<xsl:variable name="tooltip"><xsl:value-of select='document(concat($tooltip-xml, "Explosion-Gram.xml"))/tooltips/Gram[@short=current()]/@long'/></xsl:variable>
		<span class="Gram" title="{$tooltip}"><xsl:apply-templates /></span>
	</xsl:template>	
	<xsl:template match="Exe">
		<span class="Exe"><xsl:apply-templates /></span>
	</xsl:template>
	<xsl:template match="ExeIt">
		<span class="ExeIt"><xsl:apply-templates /></span>
	</xsl:template>
	<xsl:template match="Alias">
		<span class="Alias"><xsl:apply-templates /></span>
	</xsl:template>
	<xsl:template match="Phon">
		<span class="Phon"><xsl:apply-templates /></span>
	</xsl:template>
	<xsl:template match="Hword">
		<span class="Hword"><xsl:apply-templates /></span>
	</xsl:template>	
	<xsl:template match="s">
		<span class="s"><xsl:apply-templates /></span>
	</xsl:template>
	<xsl:template match="Omo">
		<sup><span class="Omo"><xsl:apply-templates /></span></sup>
	</xsl:template>	

	<xsl:template match="i">
		<i><xsl:apply-templates /></i>
	</xsl:template>	
	<xsl:template match="xn">
		<xsl:apply-templates />
	</xsl:template>

	<xsl:template match="HL">
		<xsl:variable name="hlidx1"><xsl:value-of select="attribute::index"/></xsl:variable>
		<xsl:variable name="nodeName" select="name()"></xsl:variable>
		<xsl:variable name="hlidx2"><xsl:value-of select="count(preceding::node()[name() = $nodeName]) + 1"/></xsl:variable>
		<a name="hl_{$hlidx1}_{$hlidx2}_{$view.details.id}"></a>
		<span class="HL"><xsl:apply-templates /></span>
	</xsl:template>
	<xsl:template match="TT">
		<!--  <xsl:variable name="tt"><xsl:value-of select="."/></xsl:variable> -->
		<!--  <span onmouseover="return escape('This is a test')" title="{$tt}" alt="{$tt}"><xsl:apply-templates /></span>  -->
		<!--  <span onclick="alert('{$tt}')"><xsl:apply-templates /></span> -->
		<span class="tt"><xsl:apply-templates /></span>
	</xsl:template>

</xsl:stylesheet>
